информационная безопасность
без паники и всерьез
 подробно о проектеRambler's Top100
Портрет посетителяSpanning Tree Protocol: недокументированное применениеАтака на Internet
BugTraq.Ru
Русский BugTraq
 Анализ криптографических сетевых... 
 Модель надежности двухузлового... 
 Специальные марковские модели надежности... 
 Столлман возвращается в FSF 
 The Great Suspender предположительно... 
 Десятилетняя уязвимость в sudo 
главная обзор RSN блог библиотека закон бред форум dnet о проекте
bugtraq.ru / форум / web building
Имя Пароль
ФОРУМ
если вы видите этот текст, отключите в настройках форума использование JavaScript
регистрация





Легенда:
  новое сообщение
  закрытая нитка
  новое сообщение
  в закрытой нитке
  старое сообщение
  • Напоминаю, что масса вопросов по функционированию форума снимается после прочтения его описания.
  • Новичкам также крайне полезно ознакомиться с данным документом.
Порт верный. Я в другом месте накосячил и засомневался) 11.08.11 11:40  Число просмотров: 2269
Автор: Fighter <Vladimir> Статус: Elderman
<"чистая" ссылка>
<web building>
php, pop3 и gmail 11.08.11 10:50  
Автор: Fighter <Vladimir> Статус: Elderman
<"чистая" ссылка>
Возникла необходимость получать php -скриптом почту с гугля, но он использует только ssl соединение. Правильно ли я понимаю, что для установки соединения через сокет необходимо использовать такой вызов:
$gsock = fsockopen("ssl://pop.gmail.com", 995, $errno, $errstr);
Если порт верный, то да. 11.08.11 10:56  
Автор: Winer <Виктор С.> Статус: Member
<"чистая" ссылка>
> Возникла необходимость получать php -скриптом почту с
> гугля, но он использует только ssl соединение. Правильно ли
> я понимаю, что для установки соединения через сокет
> необходимо использовать такой вызов:
> $gsock = fsockopen("ssl://pop.gmail.com", 995, $errno,
> $errstr);

Если порт верный, то да.
Однако - http://www.php.net/manual/en/transports.inet.php
"The ssl:// and tls:// transports (available only when openssl support is compiled into PHP) are extensions of the tcp:// transport which include SSL encryption. Since PHP 4.3.0 OpenSSL support must be statically compiled into PHP, since PHP 5.0.0 it may be compiled as a module or statically. "
Порт верный. Я в другом месте накосячил и засомневался) 11.08.11 11:40  
Автор: Fighter <Vladimir> Статус: Elderman
<"чистая" ссылка>
1






Rambler's Top100
Рейтинг@Mail.ru


  Copyright © 2001-2021 Dmitry Leonov   Page build time: 0 s   Design: Vadim Derkach